{ pkgs ? import <nixpkgs> {} }:
pkgs.mkShell {
  buildInputs = with pkgs; [
		gcc
		xorg.libX11
		xorg.libX11.dev
		xorg.libX11.man
		cairo
		cairo.dev
		cairo.devdoc
		pkg-config
		python310
		lua5_4
		(python310Packages.i3ipc.overrideAttrs(old:{patches=[(fetchpatch{url="https://github.com/altdesktop/i3ipc-python/pull/200.patch";sha256="sha256-kAPg4KTpmVtegoRErJJaFcxXBGXHdJlZZd/HqdY3LHs=";})];}))
		acpi
  ];
 	shellHook = ''
 		export MANPATH="$MANPATH:${pkgs.xorg.libX11.man}/share/man";
 	'';
}

